"use strict";

require("core-js/modules/web.dom-collections.iterator.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IndividualCounter = void 0;

var _react = _interopRequireWildcard(require("react"));

var _Counter = require("./Counter");

var _CounterPopup = require("./CounterPopup");

var _functions = require("./functions");

var _Constants = require("./Constants");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

// import { useAuth, } from "../../hooks";
const RADIUS = 15.3843;

const CounterHeader = _ref => {
  let {
    counter,
    logo
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("span", null, counter ? (0, _functions.addCommas)(counter) : counter), logo);
};

const IndividualCounter = () => {
  const individualCounterRef = (0, _react.useRef)(null);
  let userTreesSaved,
      userTabsOpened = 0;
  const localTreesSaved = localStorage.getItem(_Constants.STORAGE_TREES_SAVED) || 53.6;
  let tabsOpened = 0;
  if (!!localTreesSaved || localTreesSaved === 0) userTreesSaved = (0, _functions.NumberFloor)(localTreesSaved);
  if (!!tabsOpened) userTabsOpened = (0, _functions.NumberFloor)(tabsOpened);

  const onWidgetClick = () => {};

  const logo = /*#__PURE__*/_react.default.createElement("svg", {
    width: "35",
    height: "34",
    viewBox: "0 0 35 34",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg",
    className: "progress-circle-logo"
  }, /*#__PURE__*/_react.default.createElement("circle", {
    cx: "17.8994",
    cy: "16.9298",
    r: RADIUS,
    stroke: "#E9E9E9",
    strokeOpacity: "0.8",
    strokeWidth: "3.09091",
    className: "progress-circle-bg"
  }), /*#__PURE__*/_react.default.createElement("circle", {
    cx: "17.8994",
    cy: "16.9298",
    r: RADIUS,
    strokeWidth: "3.09091" // style={{ strokeDashoffset: dashOffset }}
    ,
    transform: "rotate(-90 18 17)",
    className: "progress-circle"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M28.014 17.3449C25.2524 17.7681 23.1672 19.1789 21.6737 21.5207C21.5046 21.7746 21.5891 21.9157 21.8709 21.9721C22.2936 22.0285 22.6881 22.0568 23.1108 22.1132C25.6469 22.085 27.9012 20.2792 28.493 17.8245C28.5775 17.3731 28.493 17.2603 28.014 17.3449Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M24.407 17.0628C24.5761 16.9781 24.717 16.6678 24.717 16.4703C24.717 15.1442 24.4352 13.8745 23.8716 12.6331C23.7025 12.2663 23.4489 12.2381 23.1671 12.4638C22.7444 12.7741 22.3218 13.0563 21.9554 13.4231C20.2083 15.0595 19.5039 18.0221 20.7719 20.1382C21.1382 19.9971 21.4482 19.461 21.73 19.1507C22.519 18.3324 23.3644 17.6271 24.407 17.0628Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M19.2498 19.8559C18.8835 19.0941 18.7144 18.2195 18.7144 17.373C18.7144 16.3009 18.9962 15.2852 19.5035 14.4387C19.7852 13.9591 20.1234 13.5076 20.5461 13.1408C20.7997 12.8023 20.8279 12.4637 20.6588 12.0687C20.1798 10.9683 19.588 9.95256 18.7708 9.07791C18.3199 8.62647 18.2636 8.62647 17.9818 9.19077C16.5728 12.1533 16.3192 15.1441 17.1928 18.1631C17.2491 18.3323 17.2773 18.5016 17.3337 18.6427C17.4182 18.8684 17.4746 19.0659 17.5591 19.2917C17.6436 19.5456 17.7 19.8277 17.7845 20.0817C19.2498 24.455 17.221 27.9536 16.0093 30.2108C15.8684 30.4929 15.5584 30.8597 16.2065 30.8879C17.221 30.9161 18.2636 30.9161 19.278 30.8879C19.4189 30.8879 19.6162 30.634 19.7007 30.5211C20.5461 29.1386 21.5887 25.5553 20.7433 23.3546C20.2643 22.1131 19.8134 21.041 19.2498 19.8559Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M15.6995 17.9656C15.8122 17.9938 16.0095 18.022 16.0658 17.9374C16.1222 17.8527 16.1222 17.6834 16.0658 17.5706C15.5868 16.2163 15.3895 14.8055 15.5304 13.3666C15.5586 13.1691 15.3895 12.8869 15.2204 12.7741C14.3187 12.1251 13.3324 11.7301 12.2616 11.5044C11.9235 11.4198 11.7544 11.5326 11.7262 11.8712C11.6135 13.3384 11.7262 14.608 12.5998 15.8213C13.3606 16.8652 14.4596 17.627 15.6995 17.9656Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M17.1655 22.5082C17.2782 22.2825 17.25 22.0568 17.2218 21.8028C17.1373 21.041 16.8273 20.251 16.2638 19.7432C14.9393 18.5581 12.9668 18.9249 12.0087 17.1474C11.7833 16.7524 11.6424 16.2727 11.2479 16.047C11.0506 15.9342 10.8252 15.8777 10.5998 15.8495C9.52897 15.7085 8.42999 15.7649 7.38736 15.9906C6.99286 16.0752 6.85196 16.2445 7.02104 16.696C7.72551 18.7274 9.19082 20.4767 11.0506 21.5489C12.0087 22.085 13.0232 22.48 14.1222 22.6775C14.6576 22.7339 16.8837 23.1289 17.1655 22.5082Z"
  }));

  const counterDataList = [{
    title: "Trees you have saved",
    image: _Constants.colourLogo,
    value: (0, _functions.addCommas)(userTreesSaved)
  }, {
    title: "Tabs you have opened",
    image: _Constants.tab,
    value: (0, _functions.addCommas)(userTabsOpened)
  }, {
    title: "Tons of CO2 eq. you have stored",
    image: _Constants.cloud,
    value: (0, _functions.addCommas)((0, _functions.treesToCO2Stored)(userTreesSaved))
  }];
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "app-container counter",
    ref: individualCounterRef
  }, /*#__PURE__*/_react.default.createElement(_Counter.Counter, {
    togglePopup: onWidgetClick,
    header: /*#__PURE__*/_react.default.createElement(CounterHeader, {
      counter: (0, _functions.addCommas)(userTreesSaved),
      logo: logo
    }),
    popup: /*#__PURE__*/_react.default.createElement(_CounterPopup.CounterPopup, {
      dataList: counterDataList,
      type: "individual"
    })
  }));
};

exports.IndividualCounter = IndividualCounter;